Coef.rrvglm {VGAM} | R Documentation

## Returns Important Matrices etc. of a RR-VGLM Object

### Description

This methods function returns important matrices etc. of a RR-VGLM object.

### Usage

    Coef.rrvglm(object, ...)

### Arguments

`object` | An object of class `"rrvglm"`.
`...` | Currently unused.

### Details

The A, B1, C matrices are returned, along with other slots. See `rrvglm` for details about RR-VGLMs.

### Value

An object of class `"Coef.rrvglm"` (see `Coef.rrvglm-class`).

### Note

This function is an alternative to `coef.rrvglm`.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. and Hastie, T. J. (2003) Reduced-rank vector generalized linear models. Statistical Modelling, 3, 15–41.

### See Also

`Coef.rrvglm-class`, `print.Coef.rrvglm`, `rrvglm`.

### Examples

    # Rank-1 stereotype model of Anderson (1984)
    pneumo <- transform(pneumo, let = log(exposure.time), x3 = runif(nrow(pneumo)))
    fit <- rrvglm(cbind(normal, mild, severe) ~ let + x3, multinomial, data = pneumo)
    coef(fit, matrix = TRUE)
    Coef(fit)

[Package VGAM version 1.0-4 Index]